/* ///////////////////////////////////////////////////////////////////////
 * File:		test.h		
 *
 * Created:		08.11.24			
 * Updated:		08.11.24
 *
 * Brief:		The Algorithm Library Unit-testing
 *
 * [<Home>]
 * Copyright (c) 2008-2020, Waruqi All rights reserved.
 * //////////////////////////////////////////////////////////////////// */

#ifndef EXTL_ALGORITHM_TEST_H
#define EXTL_ALGORITHM_TEST_H

/* ///////////////////////////////////////////////////////////////////////
 * Includes
 */
#include "../algorithm.h"

#ifdef EXTL_ALGORITHM_MAX_MIN_TEST_ENABLE
#	include "max_min_test.h"
#endif

#ifdef EXTL_ALGORITHM_SORT_TEST_ENABLE
#	include "sort_test.h"
#endif

/* //////////////////////////////////////////////////////////////////// */
#endif /* EXTL_ALGORITHM_TEST_H */
/* //////////////////////////////////////////////////////////////////// */

